Skip to main content
GET
List orders

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

accountId
string<uuid>
required

Account ID or subaccount ID (a UUID) to list orders for.

Example:

"3486b413-93d3-4447-afce-2b9c9dc34a32"

Query Parameters

after
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

Minimum string length: 1
limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 1000
externalId
string

Filter to the order with this external ID. Since externalId is unique among accepted orders, this returns at most one accepted order. Use this to recover an order's id after a placement request timed out.

symbol
string

Filter to orders for this symbol, e.g. BTC-USD.

status
enum<string>

Filter to orders with this status. See the status field of the Order schema for the meaning of each value.

Available options:
SUBMITTED,
PARTIALLY_FILLED,
FILLED,
CANCELING,
CANCELED,
PARTIALLY_CANCELED,
EXPIRED,
REJECTED
submittedAfter
string<date-time>

Filter to orders with submitTime at or after this time. UTC RFC 3339 'date-time'.

Example:

"2019-01-02T12:34:56.000Z"

submittedBefore
string<date-time>

Filter to orders with submitTime before this time. UTC RFC 3339 'date-time'.

Example:

"2019-01-02T12:34:56.000Z"

Response

List of orders.

data
Order · object[]
required
page
Page · object
required

Pagination info